Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.propono.blogclient.atomprotocol
Class AtomResource

    java.lang.Object
      com.sun.syndication.propono.blogclient.BaseBlogEntry
          com.sun.syndication.propono.blogclient.atomprotocol.AtomEntry
              com.sun.syndication.propono.blogclient.atomprotocol.AtomResource

All Implemented Interfaces:
  BlogEntry, BlogResource

    public class AtomResource

extends AtomEntry
implements BlogResource

Atom protocol implementation of BlogResource.

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.syndication.propono.blogclient.BlogEntry
`BlogEntry.Category, BlogEntry.Content, BlogEntry.Person`

Field Summary

Fields inherited from class com.sun.syndication.propono.blogclient.BaseBlogEntry
`author, categories, content, draft, id, modificationDate, permalink, publicationDate, summary, title`

Method Summary
`InputStream` | `getAsStream()` Get resource as stream, using content.src as URL
`String` | `getName()` Get resource name (name is required)
`void` | `save()` Save this entry to it's collection. If this is a new entry and does not have a collection yet, then save() will save it to the primary collection.
`void` | `update(byte[] newBytes)` Update resource by immediately uploading new bytes to server

Methods inherited from class com.sun.syndication.propono.blogclient.atomprotocol.AtomEntry
`delete, equals, getToken`

Methods inherited from class com.sun.syndication.propono.blogclient.BaseBlogEntry
`getAuthor, getBlog, getCategories, getContent, getDraft, getId, getModificationDate, getPermalink, getPublicationDate, getSummary, getTitle, setAuthor, setCategories, setContent, setDraft, setModificationDate, setPublicationDate, setSummary, setTitle, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.sun.syndication.propono.blogclient.BlogEntry
`delete, getAuthor, getBlog, getCategories, getContent, getDraft, getId, getModificationDate, getPermalink, getPublicationDate, getSummary, getTitle, getToken, setAuthor, setCategories, setContent, setDraft, setModificationDate, setPublicationDate, setSummary, setTitle`

Method Detail

### getName

    public String getName()

  Get resource name (name is required)

  Specified by:
    `getName` in interface `BlogResource`

### getAsStream

    public InputStream getAsStream()
                            throws BlogClientException

  Get resource as stream, using content.src as URL

  Specified by:
    `getAsStream` in interface `BlogResource`
  Throws:
    `BlogClientException`

### save

    public void save()
              throws BlogClientException

  Save this entry to it's collection. If this is a new entry and does not have a collection yet, then save() will save it to the primary collection.

  Specified by:
    `save` in interface `BlogEntry`
  Overrides:
    `save` in class `AtomEntry`
  Throws:
    `BlogClientException`

### update

    public void update(byte[] newBytes)
                throws BlogClientException

  Update resource by immediately uploading new bytes to server

  Specified by:
    `update` in interface `BlogResource`
  Throws:
    `BlogClientException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD